For the complete documentation index, see llms.txt. This page is also available as Markdown.

PrivGroup

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getPrivGroup

post

Retrieve PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PrivGroupGroupintegerRequired
Responses
200

Successful operation.

application/json
post/getPrivGroup
POST /nexum/627/2022.01/parameter/getPrivGroup HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 154

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PrivGroupGroup": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PrivGroup": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getPrivGroup"
}

getPrivGroupSelectFields

post

Retrieve PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PrivGroupGroupintegerOptional
Responses
200

Successful operation.

application/json
post/getPrivGroupSelectFields
POST /nexum/627/2022.01/parameter/getPrivGroupSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PrivGroupGroup": 0,
  "SelectableFields": {
    "PrivGroupFields": {
      "Group": true,
      "Description": true
    }
  }
}
200

Successful operation.

{
  "PrivGroup": {
    "Description": "Privilege Group 000",
    "Group": 0
  },
  "MessageId": "getPrivGroupSelectFields"
}

getPrivGroupPagedList

post

Retrieve PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPrivGroupPagedList
POST /nexum/627/2022.01/parameter/getPrivGroupPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PrivGroup": [],
  "Token": null,
  "MessageId": "getPrivGroupPagedList"
}

getPrivGroupListSelectFields

post

Retrieve PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getPrivGroupListSelectFields
POST /nexum/627/2022.01/parameter/getPrivGroupListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllPrivGroupFields": true
  }
}
200

Successful operation.

{
  "PrivGroupList": [],
  "MessageId": "getPrivGroupListSelectFields"
}

searchPrivGroupSelectFields

post

Search PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchPrivGroupSelectFields
POST /nexum/627/2022.01/parameter/searchPrivGroupSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllPrivGroupFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PrivGroupList": [],
  "MessageId": "searchPrivGroupSelectFields"
}

getPrivGroupPagedListSelectFields

post

Retrieve PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPrivGroupPagedListSelectFields
POST /nexum/627/2022.01/parameter/getPrivGroupPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 290

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "PrivGroupFields": {
      "Group": true,
      "Description": true
    }
  }
}
200

Successful operation.

{
  "PrivGroup": [
    {
      "Description": "Privilege Group 000",
      "Group": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getPrivGroupPagedListSelectFields"
}

searchPrivGroupPagedSelectFields

post

Search PrivGroup parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPrivGroupPagedSelectFields
POST /nexum/627/2022.01/parameter/searchPrivGroupPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 301

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "PrivGroupFields": {
      "Group": true,
      "Description": true
    }
  }
}
200

Successful operation.

{
  "PrivGroup": [
    {
      "Description": "Privilege Group 000",
      "Group": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchPrivGroupPagedSelectFields"
}

updatePrivGroupByID

post

Update PrivGroup parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PrivGroupGroupintegerOptional
Responses
200

Successful operation.

application/json
post/updatePrivGroupByID
POST /nexum/627/2022.01/parameter/updatePrivGroupByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 222

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PrivGroupGroup": 1,
  "PrivGroupUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updatePrivGroupByID"
}

Last updated

Was this helpful?